## qubes-mgmt-salt-base-config 4.0.1

=== debian/changelog ===
qubes-mgmt-salt-base-config (4.0.1-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 09 Oct 2018 02:43:38 +0200

qubes-mgmt-salt-base-config (4.0.1-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 02:43:38 +0200

qubes-mgmt-salt-base-config (4.0.0-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * travis: update for Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 23:43:54 +0200

qubes-mgmt-salt-base-config (3.2.2-1) wheezy; urgency=medium

  * Drop automatic enabling formulas and clearing cache
  * rpm: fix upgrade
  * rpm: remove obsolete symlinks also from 'dom0' env
  * debian: there is no longer pillar data

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Aug 2016 14:28:35 +0200

qubes-mgmt-salt-base-config (3.2.1-1) wheezy; urgency=medium

  * Add 'Qubes' os_family
  * rpm: use salt-call instead of qubesctl
  * travis: initial version
  * Revert "rpm: use salt-call instead of qubesctl"
  * rpm: depend on /usr/bin/qubesctl for post installation script
  * Drop 'config' formula
  * postinst: don't force specific environment in top.enable

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jun 2016 06:03:32 +0200

qubes-mgmt-salt-base-config (3.2.0-1) wheezy; urgency=medium

  * Do not use grains for targetting
  * Manage salt configuration only for dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:54:03 +0200

qubes-mgmt-salt-base-config (3.1.1-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Disable setting locale by default

  [ Jason Mehring ]
  * Makefile:  Added a few formatting line feeds
  * FORMULA: Use Makefile VARS for formula_dir, etc and re-ordered
    fields
  * Skip disabling salt-minion in chroot environment since systemd is
    not enabled
  * config: Make sure yum_provider is set to yumpkg_api for dom0 only
  * module: ext_config - Catch salt.utils.dictupdate.update exception

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Dec 2015 01:13:35 +0100

qubes-mgmt-salt-base-config (3.1.0-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 15:32:17 +0100

qubes-mgmt-salt-base-config (3.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Mon, 12 Oct 2015 09:39:06 -0400

## qubes-mgmt-salt-base-config 4.0.2

=== debian/changelog ===
qubes-mgmt-salt-base-config (4.0.2-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 13 May 2021 04:42:51 +0200

qubes-mgmt-salt-base-config (4.0.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 04:42:51 +0200

## qubes-mgmt-salt-base-config 4.1.1

=== Makefile ===
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2015 Jason Mehring <nrgaway@gmail.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

# This file is generated from FORMULA* by yaml-dumper in mgmt-salt builder plugin
include Makefile.vars

# This file is copied in from mgmt-salt
include Makefile.install

## qubes-mgmt-salt-base-config 4.1.0

=== debian/changelog ===
qubes-mgmt-salt-base-config (4.1.0-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 23 Mar 2019 04:12:27 +0100

qubes-mgmt-salt-base-config (4.1.0-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Use overrides only with salt version older than 2018.3

  [ Marek Marczykowski-Górecki ]
  * rpm: drop dependency on qubes-mgmt-salt-base-overrides*
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Mar 2019 04:12:27 +0100

=== debian/control ===
Source: qubes-mgmt-salt-base-config
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends:
    debhelper (>= 9~),
    quilt
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-mgmt-salt-base-config
Section: admin
Architecture: all
Depends:
    salt-common,
    salt-minion,
    qubes-mgmt-salt-config,
    qubes-mgmt-salt-base-topd
Description:
 Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure
 automation and management system.
 .
 - Sets formula file_roots and updates salt configuration setting in
   ``/etc/salt/minion.s/f_defaults.conf`` based on pillar data located in 
   ``/srv/pillar/base/config.sls``.
 .
  - Ensures salt-minion service is dead

## qubes-mgmt-salt-base-config 4.1.1

=== debian/changelog ===
qubes-mgmt-salt-base-config (4.1.1-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 13 May 2021 04:43:22 +0200

qubes-mgmt-salt-base-config (4.1.1-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * travis: switch to dom0 Fedora 31
  * Update travis
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 04:43:22 +0200

## qubes-mgmt-salt-base-config 4.1.2

=== debian/changelog ===
qubes-mgmt-salt-base-config (4.1.2-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 05 Dec 2022 01:03:05 +0100

qubes-mgmt-salt-base-config (4.1.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Drop Travis CI
  * Add Qubes Builder v2 integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Dec 2022 01:03:05 +0100
